com.sleepycat.db

## Class TransactionStats.Active

- java.lang.Object
- - com.sleepycat.db.TransactionStats.Active

Enclosing class:
  TransactionStats

    public static class TransactionStats.Active
    extends java.lang.Object

### Method Summary

Methods
`byte[]` `getGId()` Return the transaction's Global ID, if the transaction was prepared using `Transaction.prepare(byte[])`.
`LogSequenceNumber` `getLsn()` The log sequence number of the transaction's first log record.
`int` `getMultiversionRef()` The number of buffer copies created by this transaction that remain in cache.
`java.lang.String` `getName()` The transaction name, including the thread name if available.
`int` `getParentId()` The transaction ID of the parent transaction (or 0, if no parent).
`int` `getPid()` The process ID of the process that owns the transaction.
`int` `getPriority()` Assigned priority used when resolving deadlocks.
`LogSequenceNumber` `getReadLsn()` The log sequence number of reads for snapshot transactions.
`int` `getTxnId()` The transaction ID of the transaction.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getTxnId

    public int getTxnId()

The transaction ID of the transaction.

#### getParentId

    public int getParentId()

The transaction ID of the parent transaction (or 0, if no parent).

#### getPid

    public int getPid()

The process ID of the process that owns the transaction.

#### getLsn

    public LogSequenceNumber getLsn()

The log sequence number of the transaction's first log record.

#### getReadLsn

    public LogSequenceNumber getReadLsn()

The log sequence number of reads for snapshot transactions.

#### getMultiversionRef

    public int getMultiversionRef()

The number of buffer copies created by this transaction that remain in cache.

#### getPriority

    public int getPriority()

Assigned priority used when resolving deadlocks.

#### getGId

    public byte[] getGId()

Return the transaction's Global ID, if the transaction was prepared using `Transaction.prepare(byte[])`. Otherwise, return an undefined value.

#### getName

    public java.lang.String getName()

The transaction name, including the thread name if available.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`